wxSQLite3StringCollection Class Reference

Represents a named string value collection. More...

`#include <wxsqlite3.h>`

Inheritance diagram for wxSQLite3StringCollection:

## Public Member Functions

| wxSQLite3StringCollection ()
| Constructor. More...
| wxSQLite3StringCollection (const wxSQLite3StringCollection &collection)
| Copy constructor. More...
wxSQLite3StringCollection & | operator= (const wxSQLite3StringCollection &collection)
| Assignement constructor. More...
| wxSQLite3StringCollection (const wxString &collectionName, void *collectionData)
| Constructor (internal use only) More...
virtual | ~wxSQLite3StringCollection ()
| Destructor. More...
void | Bind (const wxArrayString &stringCollection)
| Bind a new array of integer values. More...
Public Member Functions inherited from wxSQLite3NamedCollection
| wxSQLite3NamedCollection ()
| Constructor. More...
| wxSQLite3NamedCollection (const wxSQLite3NamedCollection &collection)
| Copy constructor. More...
wxSQLite3NamedCollection & | operator= (const wxSQLite3NamedCollection &collection)
| Assignement constructor. More...
| wxSQLite3NamedCollection (const wxString &collectionName, void *collectionData)
| Constructor (internal use only) More...
virtual | ~wxSQLite3NamedCollection ()
| Destructor. More...
const wxString & | GetName ()
| Get the name of the collection. More...

## Friends

class | wxSQLite3Database

## Additional Inherited Members

Protected Attributes inherited from wxSQLite3NamedCollection
wxString | m_name
| Name of the collection. More...
void * | m_data
| Reference to the actual array of values representing the collection. More...

## Detailed Description

Represents a named string value collection.

## Constructor & Destructor Documentation

## wxSQLite3StringCollection() [1/3]

wxSQLite3StringCollection::wxSQLite3StringCollection | ( |  | ) |

Constructor.

## wxSQLite3StringCollection() [2/3]

wxSQLite3StringCollection::wxSQLite3StringCollection | ( | const wxSQLite3StringCollection & | collection | ) |

Copy constructor.

## wxSQLite3StringCollection() [3/3]

wxSQLite3StringCollection::wxSQLite3StringCollection | ( | const wxString & | collectionName,
|  | void * | collectionData
| ) |  |

Constructor (internal use only)

## ~wxSQLite3StringCollection()

wxSQLite3StringCollection::~wxSQLite3StringCollection | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Bind()

void wxSQLite3StringCollection::Bind | ( | const wxArrayString & | stringCollection | ) |

Bind a new array of integer values.

Bind a new array of integer values to this named collection object.

Parameters

  stringCollection | array of integer values to be bound

Note
  Binding values to a named collection after closing the corresponding database results in undefined behaviour, i.e. the application is likely to crash.

## operator=()

wxSQLite3StringCollection & wxSQLite3StringCollection::operator= | ( | const wxSQLite3StringCollection & | collection | ) |

Assignement constructor.

## Friends And Related Function Documentation

## wxSQLite3Database

friend class wxSQLite3Database

friend

The documentation for this class was generated from the following files:

- wxsqlite3.h
- wxsqlite3.cpp